package com.develop.setting.init.ui

import android.os.Bundle
import android.view.LayoutInflater
import com.alibaba.android.arouter.facade.annotation.Route
import com.develop.food.base.ui.BaseActivity
import com.develop.food.base.router.Screens
import com.develop.setting.R
import com.develop.setting.databinding.ActivityRestoreBinding

@Route(path = Screens.Setting.RESTORE)
class RestoreActivity : BaseActivity<ActivityRestoreBinding>() {
    override fun createViewBinding(inflater: LayoutInflater): ActivityRestoreBinding {
        return ActivityRestoreBinding.inflate(layoutInflater)
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding.topBar.setTopBarTitle(getString(R.string.restore_factory_settings))
        binding.topBar.listenBackClick {
            finish()
        }
    }
}