package com.develop.step.widgets

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.develop.food.base.ui.FullScreenTransparentDialog
import com.develop.step.databinding.ItemNoteDialogBinding

class NoteEditDialog: FullScreenTransparentDialog() {

    private lateinit var binding: ItemNoteDialogBinding

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        binding = ItemNoteDialogBinding.inflate(
            inflater, container, false
        )
        binding.root.setOnClickListener {
            dismissAllowingStateLoss()
        }
        binding.viewComplete.setOnClickListener {
            dismissAllowingStateLoss()
        }
        binding.viewEdit.setOnClickListener {
            dismissAllowingStateLoss()
        }
        return binding.root
    }

}