package com.develop.foodcooking

import android.content.res.Configuration
import com.develop.food.base.FoodCookBaseApp
import com.develop.food.base.router.ARouterUtils
import com.develop.food.base.utils.MmkvUtils
import com.kuyuntech.cofarcooking.device.sdk.util.core.CofarSDK
import com.lzf.easyfloat.EasyFloat
import com.tencent.bugly.crashreport.CrashReport


class FoodCookApp : FoodCookBaseApp() {

    override fun onCreate() {
        super.onCreate()
        MmkvUtils.initialize(this)
        ARouterUtils.init(this, BuildConfig.DEBUG)
        CrashReport.initCrashReport(this, "0c1b27f35b", BuildConfig.DEBUG)
        SerialportUtils.init()
    }

}