package com.develop.food.base.repo.db

import androidx.room.Database
import androidx.room.RoomDatabase
import com.develop.food.base.repo.db.dao.UserInfoDao
import com.develop.food.base.repo.entity.*

@Database(
    entities = [UserInfo::class, UserFavoriteRecipes::class, UserHistoryRecipes::class, UserTag::class, UserOnLineRecipes::class],
    version = 1,
    exportSchema = false
)
abstract class UserDatabase : RoomDatabase() {
    abstract fun userInfoDao(): UserInfoDao
}