package com.develop.food.base.repo.db.dao

import androidx.lifecycle.LiveData
import androidx.room.Dao
import androidx.room.Query
import com.develop.food.base.repo.entity.DevAccessory
import com.develop.food.base.repo.entity.DevHotTag
import com.develop.food.base.repo.entity.DevPortrait

@Dao
interface FoodConfigDao {

    @Query("select * from cc_dev_hot_tag")
    fun queryHotTag(): LiveData<List<DevHotTag>>

    @Query("select * from cc_dev_portrait")
    fun queryPortrait(): LiveData<List<DevPortrait>>
}